Credit Balance
curl --request GET \
--url https://api.datamagnet.co/api/v1/credit-check \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.datamagnet.co/api/v1/credit-check"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datamagnet.co/api/v1/credit-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"remaining_credits": 10000,
"total_credits": 10000,
"used_credits": 0,
"api_key": "xxxxxx"
}
Credit Balance
Check your current Datamagnet API credit balance to monitor usage and avoid running out of credits during high-volume data collection runs.
GET
/
api
/
v1
/
credit-check
Credit Balance
Cost:0 credit.
Get your current credit(s) balance
View credit balance endpoint
Response
{
"remaining_credits": 10000,
"total_credits": 10000,
"used_credits": 0,
"api_key": "xxxxxx"
}
The credit model
Properties
integer
The number of credits remaining in the account.
integer
The total number of credits in the account.
integer
The number of credits used in the account.
string
API key used in the request.
Was this page helpful?